
From: Matt Porter <mporter@kernel.crashing.org>

This patch removes annoying warnings in ebony.c.  Fix is similar to one I
made in ocotea.c before.

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/4xx/ebony.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/platforms/4xx/ebony.c~ppc32-fix-ebonyc-warnings arch/ppc/platforms/4xx/ebony.c
--- 25/arch/ppc/platforms/4xx/ebony.c~ppc32-fix-ebonyc-warnings	Thu Dec  2 13:13:09 2004
+++ 25-akpm/arch/ppc/platforms/4xx/ebony.c	Thu Dec  2 13:13:09 2004
@@ -128,7 +128,7 @@ ebony_map_irq(struct pci_dev *dev, unsig
 }
 
 #define PCIX_WRITEL(value, offset) \
-	(writel(value, (u32)pcix_reg_base+offset))
+	(writel(value, pcix_reg_base + offset))
 
 /*
  * FIXME: This is only here to "make it work".  This will move
_
